For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Apache Kafka User with Credentials

Returns the user by ID containing its access certificates in the metadata.

get
/clusters/{clusterId}/users/{userId}/access
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
userIdstring · uuidRequired

The ID (UUID) of the user.

Example: d11db12c-2625-5664-afd4-a3599731b5af
Responses
200

Get user access information was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the user.

Example: d11db12c-2625-5664-afd4-a3599731b5af
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the user.

Example: /clusters/{clusterId}/users/d11db12c-2625-5664-afd4-a3599731b5af
get/clusters/{clusterId}/users/{userId}/access
GET /clusters/{clusterId}/users/{userId}/access HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "d11db12c-2625-5664-afd4-a3599731b5af",
  "type": "user",
  "href": "/clusters/{clusterId}/users/d11db12c-2625-5664-afd4-a3599731b5af",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "In progress.",
    "certificateAuthority": "-----BEGIN CERTIFICATE ...",
    "privateKey": "-----BEGIN PRIVATE KEY ...",
    "certificate": "-----BEGIN CERTIFICATE ..."
  },
  "properties": {
    "name": "my-kafka-cluster-user"
  }
}

Last updated

Was this helpful?